"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isWithin = void 0;
const validate_1 = require("./validate");
/**
 * Determines whether a number is within a given range.
 *
 * @param number The number.
 * @param range The range.
 * @return {boolean} True if the number is within range, otherwise false.
 * @throws {RangeError} If the given range is invalid.
 */
const isWithin = (number, range) => {
    const validatedRange = (0, validate_1.validateRange)(range);
    const { min, max } = validatedRange;
    if (min && number < min)
        return false;
    if (max && number > max)
        return false;
    return true;
};
exports.isWithin = isWithin;
