"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.times = void 0;
const __1 = require("..");
/**
 * Call a function repeatedly a set number of times.
 * @param {number} n The number of times to run the function.
 * @param fn The function to call repeatedly.
 * @example
 * // prints "foo" three times to the console
 * // times(3, console.log("foo"))
 */
const times = (n, fn) => {
    (0, __1.validateNumber)(n);
    let results = [];
    for (let i = 0; i < n; i++) {
        results[i] = fn();
    }
    return results;
};
exports.times = times;
