"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validateNumber = void 0;
const __1 = require("..");
const exceptions_1 = require("./exceptions");
const validateNumber = (number, options) => {
    const isInteger = options === null || options === void 0 ? void 0 : options.isInteger;
    const range = options === null || options === void 0 ? void 0 : options.range;
    if (isInteger) {
        if (!Number.isInteger(number))
            throw new exceptions_1.InvalidNumberException(`Chance: ${number} is not an integer.`);
    }
    if (range) {
        const validatedRange = (0, __1.validateRange)(range);
        if (!(0, __1.isWithin)(number, validatedRange))
            throw new exceptions_1.InvalidNumberException(`Chance: ${number} is not between ${validatedRange.min} and ${validatedRange.max}.`);
    }
    return number;
};
exports.validateNumber = validateNumber;
