"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.wait = void 0;
const __1 = require("..");
/**
 * Utility function to wait a given amount of time.
 * Defaults to 5 millisecond wait time.
 * @param {number} ms The number of milliseconds to wait.
 * @example
 * // waits 2 seconds
 * // wait(2000)
 */
const wait = (ms = 5) => {
    (0, __1.validateNumber)(ms);
    return new Promise((resolve) => {
        setTimeout(() => resolve(), ms);
    });
};
exports.wait = wait;
