import { validateNumber } from "..";
/**
 * Call a function repeatedly a set number of times.
 * @param {number} n The number of times to run the function.
 * @param fn The function to call repeatedly.
 * @example
 * // prints "foo" three times to the console
 * // times(3, console.log("foo"))
 */
export const times = (n, fn) => {
    validateNumber(n);
    let results = [];
    for (let i = 0; i < n; i++) {
        results[i] = fn();
    }
    return results;
};
