import { isWithin, validateRange } from "..";
import { InvalidNumberException } from "./exceptions";
export const validateNumber = (number, options) => {
    const isInteger = options === null || options === void 0 ? void 0 : options.isInteger;
    const range = options === null || options === void 0 ? void 0 : options.range;
    if (isInteger) {
        if (!Number.isInteger(number))
            throw new InvalidNumberException(`Chance: ${number} is not an integer.`);
    }
    if (range) {
        const validatedRange = validateRange(range);
        if (!isWithin(number, validatedRange))
            throw new InvalidNumberException(`Chance: ${number} is not between ${validatedRange.min} and ${validatedRange.max}.`);
    }
    return number;
};
